Bug 91361 - [UPDATE] misc/krecipes to version 0.9.1, unbreak on 4.x
Summary: [UPDATE] misc/krecipes to version 0.9.1, unbreak on 4.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-05 22:20 UTC by Jason E. Hale
Modified: 2006-01-07 01:23 UTC (History)
1 user (show)

See Also:


Attachments
krecipes.diff (13.43 KB, patch)
2006-01-05 22:20 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2006-01-05 22:20:03 UTC
o Update Krecipes to version 0.9.1.
o New version builds on FreeBSD 4.11 ... unbreak for 4.x
o Clean up Makefile
  - OPTIONS cleanup
  - Use USE_SQLITE
  - Remove unneccesary -O2 optimization from configure script
  - Disable databases not selected in OPTIONS so startup Wizard disables 
    unavailable selections
o New version no longer installs a shared lib and the pkg-plist is the same 
  for any chosen database(s)
o Make pkg-descr a little more concise and list available backends

How-To-Repeat: Copy the attached krecipes.diff into /usr/ports/misc/krecipes and run:
patch <krecipes.diff
Comment 1 Edwin Groothuis freebsd_committer 2006-01-05 22:27:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 hank 2006-01-06 02:39:31 UTC
On Thursday 05 January 2006 04:27 pm, Edwin Groothuis wrote:
> Maintainer of misc/krecipes,
>
> Please note that PR ports/91361 has just been submitted=2E
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it=2E
>
> The full text of the PR can be found at:
>     http://www=2Efreebsd=2Eorg/cgi/query-pr=2Ecgi=3Fpr=3Dports/91361

(I cannot send from my normal account to freebsd=2Eorg because my DNS
is not setup correctly, so I'm using this address)

Everything looks find to me, and I tested on FreeBSD-5=2E3-stable as
well as the listed systems=2E  Approved=2E

P=2ES=2E   If anyone wants to take over maintaining this port feel free=2E=
=20
I'll continue to maintain it if nobody is else wants to, but I'm a
little slow about the work sometimes=2E   (This update should have been
done 6 months ago)

hank@millerfarm=2Ecom
Comment 3 Edwin Groothuis freebsd_committer 2006-01-06 06:24:16 UTC
State Changed
From-To: feedback->open

Approved by maintainer
Comment 4 Edwin Groothuis freebsd_committer 2006-01-07 01:23:46 UTC
State Changed
From-To: open->closed

Committed, thanks!